let sign = {
// ХАРАКТЕРИСТИКИ
swrap: null, // HTML-оболочка слайдов
now: 0, // текущий слайд
all: 2, // общее количество слайдов
slides: [], // html изображения слайдов
delay: 4000, // задержка между каждым слайдом
// INIT
init : () => {
// СЛАЙД-ШОУ
sign.swrap = document.querySelector("#slides");
for (let i=1; i<=sign.all; i++) {
let slide = document.createElement("img");
slide.src = `images/pie-${i}.jpg`;
sign.swrap.appendChild(slide);
sign.slides.push(slide);
}
sign.slides[0].className = "show";
// ПОВЕРНИТЕ СЛАЙДЫ
setInterval(() => {
sign.slides[sign.now].classList.remove("show");
sign.now++;
if (sign.now >= sign.all) { sign.now = 0; }
sign.slides[sign.now].classList.add("show");
}, sign.delay);
// ЕСЛИ РАБОТА ПОДДЕРЖИВАЕТСЯ
if ("serviceWorker" in navigator) {
navigator.serviceWorker.register("4-worker.js");
}
}
};
window.onload = sign.init;